Bug 136014 - Right side of comments were cropped during printing into PDF with comments at margins
Summary: Right side of comments were cropped during printing into PDF with comments at...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2020-08-22 12:49 UTC by opensuse.lietuviu.kalba
Modified: 2021-02-15 12:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
visualization (90.09 KB, image/png)
2020-08-22 12:49 UTC, opensuse.lietuviu.kalba
Details
ODT document for testing (12.02 KB, application/vnd.oasis.opendocument.text)
2020-08-22 12:50 UTC, opensuse.lietuviu.kalba
Details
PDF generated by LibreOffice 6.4.6.2 - good (23.81 KB, application/pdf)
2020-08-22 12:50 UTC, opensuse.lietuviu.kalba
Details
PDF generated by LibreOffice 7.0.0.3 - bad (22.75 KB, application/pdf)
2020-08-22 12:51 UTC, opensuse.lietuviu.kalba
Details
PDF generated by LibreOffice 7.0.1.2 - bad (31.58 KB, application/pdf)
2020-10-03 07:25 UTC, opensuse.lietuviu.kalba
Details
PDF generated by LibreOffice 7.0.1.2 - bad (22.75 KB, application/pdf)
2020-10-03 07:28 UTC, opensuse.lietuviu.kalba
Details
PDF generated by LibreOffice 7.0.2.2 - bad (22.73 KB, application/pdf)
2020-10-04 05:53 UTC, opensuse.lietuviu.kalba
Details
pdf (24.14 KB, application/pdf)
2020-10-05 07:15 UTC, BogdanB
Details
reproducible even in Print preview (80.33 KB, image/png)
2020-10-05 10:05 UTC, opensuse.lietuviu.kalba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description opensuse.lietuviu.kalba 2020-08-22 12:49:30 UTC
Created attachment 164563 [details]
visualization

LibreOffice Writer 7.0.0.3 produces cropped comments, if you print document by placing comments in margins.

Steps to reproduce (exact names of menu/options may differ, as I translated them from Lithuanian interface):
1. Open/create document with comment
2. Go File > Print..., select "LibreOffice Writer" tab, at "Comments" select to place them in margins (the last one option)
4. In "General options" tab at "Printer" select to "Print to File" (instead of real printer).
5. Print and open generated PDF.

Result: comment was cropped at the right side and bottom:
- about 40% of comment at the right was not colored
- end of comment author surname was cropped
- date and time are missing below author name.

Expected: comment os fully visible:
- background is colored across full comment, 
- name of comment author is fully visible, 
- date and time is visible


I can reproduce always in LibreOffice 
Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
Procesoriaus gijos: 4; OS:Linux 5.3; Sąsajos pateikimas: numatytasis; VCL: kf5
Locale: lt-LT (lt_LT.UTF-8); Kalba: lt-LT
Calc: threaded

A regression between LibreOffice 6.4 and LibreOffice 7.0.0 occurred. Because I can not reproduce in LibreOffice 6.4.6.2 and earlier.
Comment 1 opensuse.lietuviu.kalba 2020-08-22 12:50:04 UTC
Created attachment 164564 [details]
ODT document for testing
Comment 2 opensuse.lietuviu.kalba 2020-08-22 12:50:40 UTC
Created attachment 164565 [details]
PDF generated by LibreOffice 6.4.6.2 - good
Comment 3 opensuse.lietuviu.kalba 2020-08-22 12:51:22 UTC
Created attachment 164566 [details]
PDF generated by LibreOffice 7.0.0.3 - bad
Comment 4 opensuse.lietuviu.kalba 2020-10-03 07:25:15 UTC
Created attachment 166049 [details]
PDF generated by LibreOffice 7.0.1.2 - bad

I can reproduce bug in latest stable LibreOffice
Version: 7.0.1.2
Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: kf5
Locale: lt-LT (lt_LT.UTF-8); Kalba: lt-LT
Calc: threaded
Comment 5 opensuse.lietuviu.kalba 2020-10-03 07:28:48 UTC
Created attachment 166050 [details]
PDF generated by LibreOffice 7.0.1.2 - bad

(previously attachment was irrelevant. Attaching again)

I can reproduce bug in latest stable LibreOffice 7.0.1.2
Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: kf5
Locale: lt-LT (lt_LT.UTF-8); Kalba: lt-LT
Calc: threaded
Comment 6 opensuse.lietuviu.kalba 2020-10-04 05:53:31 UTC
Created attachment 166061 [details]
PDF generated by LibreOffice 7.0.2.2 - bad

I can reproduce with LibreOffice 7.0.2 RC2:

Version: 7.0.2.2
Build ID: 8349ace3c3162073abd90d81fd06dcfb6b36b994
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: kf5
Locale: lt-LT (lt_LT.UTF-8); Kalba: lt-LT
Calc: threaded
Comment 7 BogdanB 2020-10-05 07:11:06 UTC
I can not repro in
Version: 7.0.2.0.0+
Build ID: b27137a7091104cce177791478e86d127680c9af
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

Neither in
Version: 7.1.0.0.alpha0+
Build ID: 6923b1d527fa86fac8439b881d4ad468b765e915
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 8 opensuse.lietuviu.kalba 2020-10-05 07:14:34 UTC
BogdanB, please attach your printed as file PDF where I can see whether comments are not really corrupted.
Comment 9 BogdanB 2020-10-05 07:15:47 UTC
Created attachment 166079 [details]
pdf
Comment 10 opensuse.lietuviu.kalba 2020-10-05 07:26:34 UTC
Thank you. I see you use different version and gtk3 VCL

I also tested 
SAL_USE_VCLPLUGIN=gtk3  /opt/libreoffice7.0/program/soffice
- result is same as with kf5.

Seems fixed between 7.0.2.2 and 7.0.3?
Comment 11 opensuse.lietuviu.kalba 2020-10-05 07:31:37 UTC
No, seems your 
7.0.2.0+ b27137a7091104cce177791478e86d127680c9af
(https://git.libreoffice.org/core/+log/b27137a7091104cce177791478e86d127680c9af)
 is older than 
7.0.2.2  8349ace3c3162073abd90d81fd06dcfb6b36b994 
(https://git.libreoffice.org/core/+log/8349ace3c3162073abd90d81fd06dcfb6b36b994)
by about 2 weeks... Strange.
Comment 12 BogdanB 2020-10-05 07:41:06 UTC
Yes, it's strange, usually I get the latest version, not older versions...

Do you agree to close this bug as NOTABUG?...
Comment 13 opensuse.lietuviu.kalba 2020-10-05 07:43:37 UTC
I prefer to keep bug opened as can reproduce consistently. 
Seems the issue may not be version itself, but some unknown interaction...
Do you have more ideas?
Comment 14 BogdanB 2020-10-05 07:55:00 UTC
You may try a Factory Resetting?...
Comment 15 opensuse.lietuviu.kalba 2020-10-05 10:02:33 UTC
(In reply to BogdanB from comment #14)
> You may try a Factory Resetting?...

After renaming ~/.config/libreoffice/4, I restarted LibreOffice, however I can still reproduce bug.
Comment 16 opensuse.lietuviu.kalba 2020-10-05 10:05:34 UTC
Created attachment 166084 [details]
reproducible even in Print preview

I can see corrupted comment even in File > Print, left side for preview
Comment 17 opensuse.lietuviu.kalba 2021-02-14 21:28:29 UTC
I still can reproduce in LO 7.0.4.2.

However I found that it is fixed now in 7.0.0.3 (in same machine  and operating system)

Version: 7.1.0.3 / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Linux 5.3; UI render: GL; VCL: kf5
Locale: lt-LT (lt_LT.UTF-8); UI: lt-LT
Calc: threaded
Comment 18 opensuse.lietuviu.kalba 2021-02-14 21:29:07 UTC
Would you like to backport fix  to 7.0 series?
Comment 19 opensuse.lietuviu.kalba 2021-02-14 21:37:27 UTC
Sorry, mistake in number, should be:
<...> it is fixed now in 7.1.0.3 <...>
Comment 20 BogdanB 2021-02-15 08:11:45 UTC
Confirm, it's ok in
Version: 7.1.0.3 / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded


3638868cc250376d49060db3c53ae1fd7f3c13ac is the first bad commit
commit 3638868cc250376d49060db3c53ae1fd7f3c13ac
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri May 22 15:20:15 2020 +0200

    source sha:49fc4913ba7fc4a0be2e32407205edd8f31b3172
    
    source sha:49fc4913ba7fc4a0be2e32407205edd8f31b3172
    source sha:f73980ed151e3d04b02cc463cf9fd6432f14ba03
    source sha:78b7e1dfba4fb776db801c478a830057ff67d965
    source sha:aff8471dbffdd6d26e63533d7ffa8ddea6b2396b
    source sha:c200aa27ee4a0f5a89af6e970c2c22580029eded

 instdir/program/libavmedialo.so           | Bin 386776 -> 386768 bytes
 instdir/program/libbasctllo.so            | Bin 2089704 -> 2089696 bytes
 instdir/program/libbiblo.so               | Bin 712336 -> 712400 bytes
 instdir/program/libchartcontrollerlo.so   | Bin 3863728 -> 3863712 bytes
 instdir/program/libdbulo.so               | Bin 6404432 -> 6408272 bytes
 instdir/program/libfrmlo.so               | Bin 4188448 -> 4188416 bytes
 instdir/program/libfwklo.so               | Bin 4116360 -> 4116344 bytes
 instdir/program/librptuilo.so             | Bin 1763120 -> 1767264 bytes
 instdir/program/libsclo.so                | Bin 22173456 -> 22173424 bytes
 instdir/program/libsdlo.so                | Bin 9819720 -> 9819712 bytes
 instdir/program/libsfxlo.so               | Bin 7822112 -> 7822088 bytes
 instdir/program/libsmlo.so                | Bin 1732896 -> 1732888 bytes
 instdir/program/libsofficeapp.so          | Bin 1170720 -> 1170712 bytes
 instdir/program/libspllo.so               | Bin 113984 -> 113976 bytes
 instdir/program/libsvtlo.so               | Bin 3865920 -> 3829752 bytes
 instdir/program/libsvxcorelo.so           | Bin 11872240 -> 11876304 bytes
 instdir/program/libsvxlo.so               | Bin 5815104 -> 5823832 bytes
 instdir/program/libswlo.so                | Bin 22102448 -> 22106568 bytes
 instdir/program/libswuilo.so              | Bin 2749800 -> 2749784 bytes
 instdir/program/libtklo.so                | Bin 5834352 -> 5834232 bytes
 instdir/program/libvcllo.so               | Bin 14933272 -> 14944440 bytes
 instdir/program/libvclplug_genlo.so       | Bin 825568 -> 825568 bytes
 instdir/program/libvclplug_gtk3_kde5lo.so | Bin 3571984 -> 3571976 bytes
 instdir/program/libvclplug_gtk3lo.so      | Bin 2453200 -> 2453200 bytes
 instdir/program/setuprc                   |   2 +-
 instdir/program/versionrc                 |   2 +-
 26 files changed, 2 insertions(+), 2 deletions(-)
Comment 21 Caolán McNamara 2021-02-15 12:11:43 UTC
The backport of this to 7-0 was done as:
https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-0&id=2e6ecdfec95ac18a197cf31a67455cd103b73198
so should be good in the next update